TONTONDocs
TON CenterAPI referenceUtilities

Unpack address

Convert a user-friendly base64 address back to its raw components.

GET
/api/v2/unpackAddress

Query Parameters

address*string

The account address to query.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/unpackAddress?address=EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs"
{
  "ok": true,
  "result": {
    "workchain": 0,
    "bounceable": true,
    "testnet": true,
    "addr_hex": "string"
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "empty address"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}

Last updated on

On this page

No Headings